## debian-edu 2.10.36

=== Makefile ===
#!/usr/bin/make -f

TASKSELOPTS = -u
GENCONTROL_DEPENDS = true

include /usr/share/blends-dev/Makefile

=== debian/changelog ===
debian-edu (2.10.36) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/ltsp-server: Add tftpd-hpa to Depends.
    It should ensure that this package is preferred to dnsmasq.
    (The 'ltsp-server' package now recommends dnsmasq | tftpd-hpa | atftpd).

  [ Holger Levsen ]
  * Fix grammar in previous changelog entry, thanks lintian.
  * Drop empty last line from changelog, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Fri, 21 Sep 2018 23:56:25 +0200

=== debian/control ===
# This file is autogenerated. Do not edit!
Source: debian-edu
Section: metapackages
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
 Holger Levsen <holger@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Wolfgang Schweer <wschweer@arcor.de>,
 Dominik George <nik@naturalnet.de>
Build-Depends: debhelper (>= 11~), blends-dev (>= 0.6.100)
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu
Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu
Homepage: http://www.skolelinux.org

XS-Comment: This is a specific package which contains a tasksel helper. It doesn't make sense to put it in tasks.
Package: education-tasks
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: tasksel (>= 3.23),
 ${misc:Depends}
Description: Debian Edu tasks for tasksel
 This package provides Debian Edu tasks in tasksel.
 .
 Debian Edu is a Debian Pure Blend, an overview of available
 metapackages and their dependencies/recommendations/suggestions
 is provided at https://blends.debian.org/edu/tasks/

XS-Comment: This is a specific package which reorganizes the menu. It doesn't make sense to put in tasks.
Package: education-menus
Section: misc
Architecture: any
Depends: desktop-profiles,
 ${misc:Depends}
Description: Debian Edu menu reorganization
 A package to reorganizate menu branches in order to get a structure
 easy to use for teachers and students.
 .
 To activate the menu reorganization, a teachers or students group must
 exist in the system and the user has to be a member of one of these two
 groups.

Package: education-astronomy
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${source:Version})
Recommends: education-menus,
            gpredict,
            kstars,
            openuniverse,
            stellarium,
            xplanet,
            xplanet-images
Suggests: astronomical-almanac,
          lightspeed,
          sunclock,
          xtide,
          xtide-data
Description: Debian Edu astronomy related applications
 This metapackage depends on various applications that can be used to
 teach astronomy.

Package: education-chemistry
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${source:Version})
Recommends: avogadro,
            chemtool,
            easychem,
            education-menus,
            gdis,
            gperiodic,
            kalzium,
            pymol,
            viewmol
Suggests: gchempaint,
          rasmol
Description: Debian Edu chemistry related applications
 This metapackage depends on various applications that can be used to
 teach chemistry.

Package: education-common
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${source:Version})
Recommends: apt-listchanges,
            bash-completion,
            bc,
            bind9-host,
            cifs-utils,
            command-not-found,
            convmv,
            cups,
            cups-browsed,
            cups-filters | foomatic-filters,
            debconf-utils,
            debian-archive-keyring,
            debian-edu-config,
            debian-edu-doc-en,
            debian-edu-install,
            deborphan,
            dhcping,
            dmidecode,
            eject,
            etherwake,
            ethtool,
            finger,
            foomatic-db-compressed-ppds,
            foomatic-db-engine,
            fping,
            gdebi-core | gdebi,
            hddtemp,
            hdparm,
            hpijs-ppds,
            hplip,
            htop,
            hwinfo,
            iftop,
            iotop,
            iproute2,
            iputils-arping | arping,
            less,
            libnss-myhostname,
            libpam-tmpdir,
            libwww-perl,
            lshw,
            lsscsi,
            man-db,
            manpages,
            mc,
            memtest86+,
            mlocate,
            mtools,
            mtr-tiny | mtr,
            ncftp,
            nictools-pci,
            nmap,
            nullidentd | ident-server,
            openbsd-inetd,
            openprinting-ppds,
            openssh-client,
            pciutils,
            printer-driver-gutenprint,
            printer-driver-hpcups,
            printer-driver-hpijs,
            printer-driver-pnm2ppa,
            printer-driver-postscript-hp,
            procinfo,
            procmail,
            psmisc,
            python3-reportbug,
            reportbug,
            resolvconf,
            rsync,
            rsyslog,
            screen,
            smartmontools,
            strace,
            sysfsutils,
            tcpdump,
            tcptraceroute,
            traceroute,
            vim,
            wget
Suggests: apticron | cron-apt,
          cpqarrayd,
          debian-goodies,
          debsecan,
          dpt-i2o-raidutils | raidutils,
          emacs,
          firmware-bnx2,
          firmware-ipw2x00,
          firmware-iwlwifi,
          firmware-misc-nonfree,
          firmware-qlogic,
          gdb,
          isag,
          kexec-tools,
          mpt-status,
          nvram-wakeup,
          popularity-contest,
          printer-driver-foo2zjs,
          rsyslog-doc,
          valgrind,
          wireshark
Description: Debian Edu common basic packages
 A metapackage containing dependencies for packages required on all
 installations in the Debian Edu Blend.

Package: education-desktop-gnome
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${source:Version})
Recommends: dasher,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            gnome,
            gnome-shell-extension-onboard,
            kdeedu,
            ssh-askpass-gnome | ssh-askpass
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu GNOME desktop applications
 This metapackage depends on various GNOME office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-kde
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${source:Version})
Recommends: ark,
            bluedevil,
            clementine,
            digikam,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            kamera,
            kcalc,
            kde-l10n-ca,
            kde-l10n-de,
            kde-l10n-el,
            kde-l10n-engb,
            kde-l10n-es,
            kde-l10n-fr,
            kde-l10n-it,
            kde-l10n-nl,
            kde-l10n-ptbr,
            kde-l10n-ru,
            kde-l10n-sv,
            kde-standard,
            kdeaccessibility,
            kdeedu,
            kdegraphics-thumbnailers,
            kdeutils,
            kfloppy,
            kinfocenter,
            kio-audiocd,
            kipi-plugins,
            knotes,
            konq-plugins,
            konversation | kopete,
            krdc,
            krfb,
            ksshaskpass | ssh-askpass,
            kwalletmanager,
            kwin-x11,
            plasma-workspace-wallpapers
Suggests: education-development,
          education-primaryschool,
          education-video,
          kde-full,
          kde-zeroconf,
          kfind,
          knode,
          kruler,
          print-manager
Description: Debian Edu KDE desktop applications
 This metapackage depends on various KDE office and desktop applications
 that are useful for teachers and their students.
 .
 This package also adds multi-language support to Plasma/KDE for the following
 languages:
 .
   - ca (Catalan)
   - de (German)
   - el (Greek)
   - en (English, GB/US)
   - es (Spanish)
   - fr (French)
   - it (Italian)
   - nl (Dutch)
   - pt-br (Brazilian Portuguese)
   - sv (Swedish)

Package: education-desktop-lxde
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${source:Version})
Recommends: atril,
            blueman,
            desktop-file-utils,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            fotoxx,
            galculator,
            hexchat,
            kdeedu,
            lxde,
            mtpaint,
            osmo,
            parcellite,
            pidgin,
            ssh-askpass
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu LXDE desktop applications
 This metapackage depends on various LXDE components and lightweight
 desktop applications that are useful for teachers and their students.

Package: education-desktop-lxqt
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${source:Version})
Recommends: atril,
            blueman,
            desktop-file-utils,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            fotoxx,
            galculator,
            hexchat,
            kdeedu,
            lightdm,
            lxqt,
            mtpaint,
            osmo,
            parcellite,
            pidgin,
            ssh-askpass,
            xorg
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu LXQt desktop applications
 This metapackage depends on various LXQt components and lightweight
 desktop applications that are useful for teachers and their students.

Package: education-desktop-mate
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${source:Version})
Recommends: arctica-greeter,
            arctica-greeter-theme-debian,
            dasher,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            gnome-accessibility-themes,
            gnome-orca,
            kdeedu,
            libreoffice-gtk3,
            lightdm,
            mate-desktop-environment,
            mate-desktop-environment-extras,
            network-manager-gnome | cmst | wicd,
            onboard,
            ssh-askpass-gnome | ssh-askpass,
            vlc | xine-ui | kaffeine | mplayer | totem | dragonplayer,
            xorg
Suggests: education-development,
          education-primaryschool,
          education-video

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/blends-dev/rules

# the next two overrides should probably go into blends-dev itself…
# (see 1.913 changelog entry)
override_dh_install:
	$(BLEND_INSTALL_HELPER)
	dh_install

override_dh_auto_install-indep:
	$(BLEND_INSTALL_HELPER)
	dh_install $(BLENDNAME)-tasks.desc usr/share/tasksel/descs

## debian-edu 2.10.40

=== debian/changelog ===
debian-edu (2.10.40) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/control.stub:
    - Adjust binary package education-tasks. (Closes: #910498).
      + Replace Architecture: all with Architecture: any
      + Drop Multi-Arch: foreign
  * debian/control: Updated after running 'make dist' and afterwards running
    "sed -i 's#source:Version#binary:Version#' debian/control".

  [ Holger Levsen ]
  * Override dist: target in Makefile
    - to run the above sed after running 'make dist'.
    - remove empty trailing line in debian/control, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Oct 2018 18:34:48 +0100

debian-edu (2.10.39) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/control.stub: Remove blends-dev version from build-dependencies.
  * debian/control: Updated after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Oct 2018 15:21:02 +0100

debian-edu (2.10.38) unstable; urgency=medium

  * debian/rules: drop two overrides not needed with blends-dev 0.7.2 anymore,
    thanks to Wolfgang Schweer for pointing this out.

 -- Holger Levsen <holger@debian.org>  Sat, 06 Oct 2018 15:58:14 +0100

debian-edu (2.10.37) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework debian/edu-tasksel-setup:
    - Install task 'standard' (system utilities); only a few packages
      (doc-debian, debian-faq, python3-gtkspellcheck, telnet) will be installed
      in addition on a main server, which doesn't harm (like testing has shown).
      It should ensure our configuration is put on top of a stock Debian system
      with nothing missing. Also, maintaining tasks files should be a bit less
      work this way.
  * Cleanup from packages already installed via task 'standard':
    - tasks/common
    - tasks/desktop-other
    - tasks/development
    - tasks/lang-he-desktop
    - tasks/language
    - tasks/main-server
  * Fix desktop-directories/Music.directory: Replace NAME with Name to let the
    translated directory names take effect.
  * Drop no longer available 'manpages-fr-extra' from tasks/tasks/lang-fr as
    they are severely outdated (see #905634).
  * Remove debian/education-desktop-{lxqt|mate|xfce}.lintian-overrides:
    - It seems that these overrides are no longer needed; thanks lintian.
  * Updated after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Mon, 01 Oct 2018 21:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Mike Gabriel <sunweaver@debian.org>,
  Wolfgang Schweer <wschweer@arcor.de>,
  Dominik George <nik@naturalnet.de>
-Build-Depends: debhelper (>= 11~), blends-dev (>= 0.6.100)
+Build-Depends: debhelper (>= 11~), blends-dev
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu
@@ -18,8 +18,7 @@
 XS-Comment: This is a specific package which contains a tasksel helper. It doesn't make sense to put it in tasks.
 Package: education-tasks
 Section: misc
-Architecture: all
-Multi-Arch: foreign
+Architecture: any
 Depends: tasksel (>= 3.23),
  ${misc:Depends}
 Description: Debian Edu tasks for tasksel
@@ -47,7 +46,7 @@
 Section: metapackages
 Architecture: any
 Depends: ${misc:Depends},
-         education-tasks (= ${source:Version})
+         education-tasks (= ${binary:Version})
 Recommends: education-menus,
             gpredict,
             kstars,
@@ -68,7 +67,7 @@
 Section: metapackages
 Architecture: any
 Depends: ${misc:Depends},
-         education-tasks (= ${source:Version})
+         education-tasks (= ${binary:Version})
 Recommends: avogadro,
             chemtool,
             easychem,
@@ -88,11 +87,8 @@
 Section: metapackages
 Architecture: any
 Depends: ${misc:Depends},
-         education-tasks (= ${source:Version})
-Recommends: apt-listchanges,
-            bash-completion,
-            bc,
-            bind9-host,
+         education-tasks (= ${binary:Version})
+Recommends: bc,
             cifs-utils,
             command-not-found,
             convmv,
@@ -116,7 +112,6 @@
             fping,
             gdebi-core | gdebi,
             hddtemp,
-            hdparm,
             hpijs-ppds,
             hplip,
             htop,
@@ -131,8 +126,6 @@
             libwww-perl,
             lshw,
             lsscsi,
-            man-db,
-            manpages,
             mc,
             memtest86+,
             mlocate,
@@ -144,7 +137,6 @@
             nullidentd | ident-server,
             openbsd-inetd,
             openprinting-ppds,
-            openssh-client,
             pciutils,
             printer-driver-gutenprint,
             printer-driver-hpcups,
@@ -154,8 +146,6 @@
             procinfo,
             procmail,
             psmisc,
-            python3-reportbug,
-            reportbug,
             resolvconf,
             rsync,
             rsyslog,
@@ -165,9 +155,7 @@
             sysfsutils,
             tcpdump,
             tcptraceroute,
-            traceroute,
-            vim,
-            wget
+            vim
 Suggests: apticron | cron-apt,
           cpqarrayd,
           debian-goodies,
@@ -197,7 +185,7 @@
 Section: metapackages
 Architecture: any
 Depends: ${misc:Depends},
-         education-tasks (= ${source:Version})
+         education-tasks (= ${binary:Version})
 Recommends: dasher,
             education-astronomy,
             education-chemistry,
@@ -226,7 +214,7 @@
 Section: metapackages
 Architecture: any
 Depends: ${misc:Depends},
-         education-tasks (= ${source:Version})
+         education-tasks (= ${binary:Version})
 Recommends: ark,
             bluedevil,
             clementine,
@@ -305,7 +293,7 @@
 Section: metapackages
 Architecture: any
 Depends: ${misc:Depends},
-         education-tasks (= ${source:Version})
+         education-tasks (= ${binary:Version})
 Recommends: atril,
             blueman,
             desktop-file-utils,
@@ -342,7 +330,7 @@
 Section: metapackages
 Architecture: any
 Depends: ${misc:Depends},
-         education-tasks (= ${source:Version})
+         education-tasks (= ${binary:Version})
 Recommends: atril,
             blueman,
             desktop-file-utils,
@@ -381,7 +369,7 @@
 Section: metapackages
 Architecture: any
 Depends: ${misc:Depends},
-         education-tasks (= ${source:Version})
+         education-tasks (= ${binary:Version})
 Recommends: arctica-greeter,
             arctica-greeter-theme-debian,
             dasher,
@@ -412,3 +400,13 @@
 Suggests: education-development,
           education-primaryschool,
           education-video
+Description: Debian Edu MATE desktop applications
+ This metapackage depends on various MATE office and desktop applications
+ that are useful for teachers and their students.
+
+Package: education-desktop-other
+Section: metapackages
+Architecture: any
+Depends: ${misc:Depends},
+         education-tasks (= ${binary:Version})
+Recommends: alsa-utils,

## debian-edu 2.10.42

=== debian/changelog ===
debian-edu (2.10.42) unstable; urgency=medium

  [ Deepanshu Gajbhiye ]
  * Added new tasks: preschool, secondaryschool, highschool
  * task/primaryschool: Updated recommended list of packages. (Closes: #905006)

  [ Wolfgang Schweer ]
  * Adjust task files modified/added by Deepanshu Gajbhiye.
  * debian/copyright:
    - Add entries for tasks/{preschool,secondaryschool,highschool}.

  [ Holger Levsen ]
  * Use the new debhelper-compat(=11) notation and drop d/compat.
  * d/control.stub: Declare education-tasks to be 'Multi-Arch: same'.
  * debian/control: Updated after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Fri, 09 Nov 2018 22:58:26 +0100

debian-edu (2.10.41) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/networked-common: Recommend haveged to make sure enough entropy is
    available for e.g. NFS security services (server and client). (While sddm
    recommends the package, it is missing in case lightdm is used.)
  * tasks/desktop-kde: Recommend sddm-theme-elarun.
    This theme seems to be the only theme providing username/password input
    fields without any changes needed.
  * Adjust browser addons now that XUL support is gone:
    - Drop chromium-ublock-origin and xul-ext-ublock-origin.
    - Add webext-ublock-origin (replacement for both).
    - Drop xul-ext-adblock-plus.
  * debian/control: Updated after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Fri, 12 Oct 2018 10:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Mike Gabriel <sunweaver@debian.org>,
  Wolfgang Schweer <wschweer@arcor.de>,
  Dominik George <nik@naturalnet.de>
-Build-Depends: debhelper (>= 11~), blends-dev
+Build-Depends: debhelper-compat (= 11), blends-dev
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu
@@ -19,6 +19,7 @@
 Package: education-tasks
 Section: misc
 Architecture: any
+Multi-Arch: same
 Depends: tasksel (>= 3.23),
  ${misc:Depends}
 Description: Debian Edu tasks for tasksel
@@ -261,7 +262,8 @@
             ksshaskpass | ssh-askpass,
             kwalletmanager,
             kwin-x11,
-            plasma-workspace-wallpapers
+            plasma-workspace-wallpapers,
+            sddm-theme-elarun
 Suggests: education-development,
           education-primaryschool,
           education-video,
@@ -408,5 +410,3 @@
 Section: metapackages
 Architecture: any
 Depends: ${misc:Depends},
-         education-tasks (= ${binary:Version})
-Recommends: alsa-utils,

## debian-edu 2.10.44

=== debian/changelog ===
debian-edu (2.10.44) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework task files. Rationale: rather rely upon stock Debian task packages
    than deal with task setup ourself; reduce additions to a bare minimum and
    drop all packages that are already pulled in via other packages' recommends.
    Also, instead of providing localization for only a few languages, use the
    improved and more flexible approach for each language Debian supports (see
    src:debian-edu-config for details).
    Most noteworthy changes:
    - Remove lang-* task files.
    - tasks/desktop-other: Suggest language related packages to get them onto
      the BD ISO image.
    - tasks/{main-server,standalone}: Add task-print-server; this makes sure
      that all printer driver packages get installed.
    - tasks/networked-common: cups-browsed is enough for printing to work; also
      recommend p910nd to be able to administrate printers attached to
      networked machines on the print server (main server by default).
      (A related HowTo for p910nd needs to be added to the manual.)
    - tasks/main-server: Recommend mutt.
    - tasks/common: Don't suggest non-free firmware packages now that official
      Debian ISO images with non-free firmware packages are available.
  * debian/control: Updated after running 'make dist'.

  [ Holger Levsen ]
  * Bump standards version to 4.3.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 02 Jan 2019 13:26:47 +0100

debian-edu (2.10.43) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework menu integration and structure for all supported desktops:
    - Update menus/{gnome,mate}-applications.menu files.
    - Add menus/kf5-applications.menu (replacement for kde-applications.menu).
    - Add new menus/{lxde,lxqt,xfce}-applications.menu files.
    - Add menus/applications-merged/{game,science,video}.menu as category files:
      + The categories are used to add submenus to the menu structure.
      + The submenus are configured to support the added meta-packages preschool
        and video and are also used to improve the kids and edu games items.
    - Use Edu namespace for directory files to avoid conflicts with files
      shipped with desktop environments.
    - Update files below menus/ to reflect the changes, remove obsoleted ones.
  * Adjust tasks/{preschool,primaryschool,misc} to better match categories.
  * debian/copyright:
    - Update information to reflect the changes.
  * debian/control:
    - Updated after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Thu, 06 Dec 2018 20:06:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Wolfgang Schweer <wschweer@arcor.de>,
  Dominik George <nik@naturalnet.de>
 Build-Depends: debhelper-compat (= 11), blends-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu
 Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu
@@ -73,13 +73,13 @@
             chemtool,
             easychem,
             education-menus,
+            gchempaint,
             gdis,
             gperiodic,
             kalzium,
             pymol,
             viewmol
-Suggests: gchempaint,
-          rasmol
+Suggests: rasmol
 Description: Debian Edu chemistry related applications
  This metapackage depends on various applications that can be used to
  teach chemistry.
@@ -93,28 +93,19 @@
             cifs-utils,
             command-not-found,
             convmv,
-            cups,
-            cups-browsed,
-            cups-filters | foomatic-filters,
             debconf-utils,
-            debian-archive-keyring,
             debian-edu-config,
             debian-edu-doc-en,
             debian-edu-install,
             deborphan,
             dhcping,
             dmidecode,
-            eject,
             etherwake,
             ethtool,
             finger,
-            foomatic-db-compressed-ppds,
-            foomatic-db-engine,
             fping,
             gdebi-core | gdebi,
             hddtemp,
-            hpijs-ppds,
-            hplip,
             htop,
             hwinfo,
             iftop,
@@ -137,13 +128,7 @@
             nmap,
             nullidentd | ident-server,
             openbsd-inetd,
-            openprinting-ppds,
             pciutils,
-            printer-driver-gutenprint,
-            printer-driver-hpcups,
-            printer-driver-hpijs,
-            printer-driver-pnm2ppa,
-            printer-driver-postscript-hp,
             procinfo,
             procmail,
             psmisc,
@@ -163,18 +148,12 @@
           debsecan,
           dpt-i2o-raidutils | raidutils,
           emacs,
-          firmware-bnx2,
-          firmware-ipw2x00,
-          firmware-iwlwifi,
-          firmware-misc-nonfree,
-          firmware-qlogic,
           gdb,
           isag,
           kexec-tools,
           mpt-status,
           nvram-wakeup,
           popularity-contest,
-          printer-driver-foo2zjs,
           rsyslog-doc,
           valgrind,
           wireshark
@@ -200,10 +179,9 @@
             education-misc,
             education-music,
             education-physics,
-            gnome,
             gnome-shell-extension-onboard,
             kdeedu,
-            ssh-askpass-gnome | ssh-askpass
+            task-gnome-desktop
 Suggests: education-development,
           education-primaryschool,
           education-video
@@ -216,10 +194,40 @@
 Architecture: any
 Depends: ${misc:Depends},
          education-tasks (= ${binary:Version})
-Recommends: ark,
-            bluedevil,
-            clementine,
-            digikam,
+Recommends: education-astronomy,
+            education-chemistry,
+            education-common,
+            education-electronics,
+            education-geography,
+            education-graphics,
+            education-language,
+            education-logic-games,
+            education-mathematics,
+            education-misc,
+            education-music,
+            education-physics,
+            kdeedu,
+            kdegraphics-thumbnailers,
+            kdeutils,
+            kio-audiocd,
+            sddm-theme-elarun,
+            task-kde-desktop
+Suggests: education-development,
+          education-primaryschool,
+          education-video,
+          kde-full,
+          kde-zeroconf,
+          kruler
+Description: Debian Edu KDE desktop applications
+ This metapackage depends on various KDE office and desktop applications
+ that are useful for teachers and their students.
+
+Package: education-desktop-lxde
+Section: metapackages
+Architecture: any
+Depends: ${misc:Depends},
+         education-tasks (= ${binary:Version})
+Recommends: blueman,
             education-astronomy,
             education-chemistry,
             education-common,
@@ -232,73 +240,28 @@
             education-misc,
             education-music,
             education-physics,
-            kamera,
-            kcalc,
-            kde-l10n-ca,
-            kde-l10n-de,
-            kde-l10n-el,
-            kde-l10n-engb,
-            kde-l10n-es,
-            kde-l10n-fr,
-            kde-l10n-it,
-            kde-l10n-nl,
-            kde-l10n-ptbr,
-            kde-l10n-ru,
-            kde-l10n-sv,
-            kde-standard,
-            kdeaccessibility,
+            fotoxx,
+            hexchat,
             kdeedu,
-            kdegraphics-thumbnailers,
-            kdeutils,
-            kfloppy,
-            kinfocenter,
-            kio-audiocd,
-            kipi-plugins,
-            knotes,
-            konq-plugins,
-            konversation | kopete,
-            krdc,
-            krfb,
-            ksshaskpass | ssh-askpass,
-            kwalletmanager,
-            kwin-x11,
-            plasma-workspace-wallpapers,
-            sddm-theme-elarun
+            mtpaint,
+            network-manager-gnome,
+            osmo,
+            pidgin,
+            ssh-askpass,
+            task-lxde-desktop
 Suggests: education-development,
           education-primaryschool,
-          education-video,
-          kde-full,
-          kde-zeroconf,
-          kfind,
-          knode,
-          kruler,
-          print-manager
-Description: Debian Edu KDE desktop applications
- This metapackage depends on various KDE office and desktop applications
- that are useful for teachers and their students.
- .
- This package also adds multi-language support to Plasma/KDE for the following
- languages:
- .
-   - ca (Catalan)
-   - de (German)
-   - el (Greek)
-   - en (English, GB/US)
-   - es (Spanish)
-   - fr (French)
-   - it (Italian)
-   - nl (Dutch)
-   - pt-br (Brazilian Portuguese)
-   - sv (Swedish)
-
-Package: education-desktop-lxde
-Section: metapackages
-Architecture: any
-Depends: ${misc:Depends},
-         education-tasks (= ${binary:Version})
-Recommends: atril,
-            blueman,
-            desktop-file-utils,
+          education-video
+Description: Debian Edu LXDE desktop applications
+ This metapackage depends on various LXDE components and lightweight
+ desktop applications that are useful for teachers and their students.
+
+Package: education-desktop-lxqt
+Section: metapackages
+Architecture: any
+Depends: ${misc:Depends},
+         education-tasks (= ${binary:Version})
+Recommends: blueman,
             education-astronomy,
             education-chemistry,
             education-common,
@@ -313,53 +276,13 @@
             education-physics,
             fotoxx,
             galculator,
-            hexchat,
             kdeedu,
-            lxde,
+            lightdm,
             mtpaint,
             osmo,
-            parcellite,
             pidgin,
-            ssh-askpass
-Suggests: education-development,
-          education-primaryschool,
-          education-video
-Description: Debian Edu LXDE desktop applications
- This metapackage depends on various LXDE components and lightweight
- desktop applications that are useful for teachers and their students.
-
-Package: education-desktop-lxqt
-Section: metapackages
-Architecture: any
-Depends: ${misc:Depends},
-         education-tasks (= ${binary:Version})
-Recommends: atril,
-            blueman,
-            desktop-file-utils,
-            education-astronomy,
-            education-chemistry,
-            education-common,
-            education-electronics,
-            education-geography,
-            education-graphics,
-            education-language,
-            education-logic-games,
-            education-mathematics,
-            education-misc,
-            education-music,
-            education-physics,
-            fotoxx,
-            galculator,
-            hexchat,
-            kdeedu,
-            lightdm,
-            lxqt,
-            mtpaint,
-            osmo,
-            parcellite,
-            pidgin,
-            ssh-askpass,
-            xorg
+            sddm-theme-elarun,
+            task-lxqt-desktop
 Suggests: education-development,
           education-primaryschool,
           education-video
@@ -388,17 +311,10 @@
             education-music,
             education-physics,
             gnome-accessibility-themes,
-            gnome-orca,
             kdeedu,
-            libreoffice-gtk3,
-            lightdm,
-            mate-desktop-environment,
             mate-desktop-environment-extras,
-            network-manager-gnome | cmst | wicd,
             onboard,
-            ssh-askpass-gnome | ssh-askpass,
-            vlc | xine-ui | kaffeine | mplayer | totem | dragonplayer,
-            xorg
+            task-mate-desktop
 Suggests: education-development,
           education-primaryschool,
           education-video
@@ -410,3 +326,84 @@
 Section: metapackages
 Architecture: any
 Depends: ${misc:Depends},
+         education-tasks (= ${binary:Version})
+Recommends: cheese,
+            firefox-esr,
+            fonts-linex,
+            freerdp2-x11 | rdesktop,
+            gimp,
+            gimp-data-extras,
+            gimp-ufraw,
+            gtk-recordmydesktop,
+            inkscape,
+            ocrad,
+            openclipart,
+            openclipart-libreoffice,
+            plymouth,
+            plymouth-themes,
+            sane-utils,
+            standardskriver,
+            thunderbird,
+            webext-ublock-origin,
+            xsane
+Suggests: auctex,
+          avahi-discover,
+          brasero | k3b,
+          chromium,
+          dia,
+          djview-plugin,
+          fet,
+          firefox-l10n-ach,
+          firefox-l10n-af,
+          firefox-l10n-all,
+          firefox-l10n-an,
+          firefox-l10n-ar,
+          firefox-l10n-as,
+          firefox-l10n-ast,
+          firefox-l10n-az,
+          firefox-l10n-be,
+          firefox-l10n-bg,
+          firefox-l10n-bn-bd,
+          firefox-l10n-bn-in,
+          firefox-l10n-br,
+          firefox-l10n-bs,
+          firefox-l10n-ca,
+          firefox-l10n-cak,
+          firefox-l10n-cs,
+          firefox-l10n-cy,
+          firefox-l10n-da,
+          firefox-l10n-de,
+          firefox-l10n-dsb,
+          firefox-l10n-el,
+          firefox-l10n-en-ca,
+          firefox-l10n-en-gb,
+          firefox-l10n-en-za,
+          firefox-l10n-eo,
+          firefox-l10n-es-ar,
+          firefox-l10n-es-cl,
+          firefox-l10n-es-es,
+          firefox-l10n-es-mx,
+          firefox-l10n-et,
+          firefox-l10n-eu,
+          firefox-l10n-fa,
+          firefox-l10n-ff,
+          firefox-l10n-fi,
+          firefox-l10n-fr,
+          firefox-l10n-fy-nl,
+          firefox-l10n-ga-ie,
+          firefox-l10n-gd,
+          firefox-l10n-gl,
+          firefox-l10n-gn,
+          firefox-l10n-gu-in,
+          firefox-l10n-he,
+          firefox-l10n-hi-in,
+          firefox-l10n-hr,
+          firefox-l10n-hsb,
+          firefox-l10n-hu,
+          firefox-l10n-hy-am,
+          firefox-l10n-ia,
+          firefox-l10n-id,
+          firefox-l10n-is,
+          firefox-l10n-it,
+          firefox-l10n-ja,
+          firefox-l10n-ka,

=== debian/tests/control ===
Tests: test-tasksel-desktop
Depends: debian-edu-install, education-common
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Minimal debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Main-Server debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Standalone DESKTOP=gnome debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Roaming-Workstation DESKTOP=kde debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=LTSP-Server debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Workstation DESKTOP=lxde debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Workstation DESKTOP=xfce debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Workstation DESKTOP=mate debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Workstation DESKTOP=lxqt debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

## debian-edu 2.10.47

=== debian/changelog ===
debian-edu (2.10.47) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/development: Drop removed packages eclipse and eclipse-cdt.
  * tasks/main-server: Recommend (instead of suggest)
    debian-installer-10-netboot-(amd64|i386), with this offline installations
    via PXE boot are finally possible using our BD image.

  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Mon, 11 Mar 2019 15:54:12 +0100

debian-edu (2.10.46) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Revert commits in 2.10.45 concerning tasks/ltsp-server and tasks/networked.
    The intended BD ISO image improvement needs to be done via debian-cd.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Jan 2019 15:39:25 +0100

debian-edu (2.10.45) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust some task files to improve the BD ISO image generation.
    - tasks/desktop-other: Don't suggest localization related packages.
    - tasks/ltsp-server: Depend on ltsp-server and ldm-server.
    - tasks/networked: Replace all Recommends with Depends.
    - tasks/roaming-workstation: Recommend jxplorer
  * debian/tests/control: Reduce the amount of Test-Commands.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Tue, 15 Jan 2019 18:53:39 +0100

=== debian/control ===
--- 
+++ 
@@ -328,6 +328,7 @@
 Depends: ${misc:Depends},
          education-tasks (= ${binary:Version})
 Recommends: cheese,
+            chromium,
             firefox-esr,
             fonts-linex,
             freerdp2-x11 | rdesktop,
@@ -349,61 +350,69 @@
 Suggests: auctex,
           avahi-discover,
           brasero | k3b,
-          chromium,
           dia,
           djview-plugin,
           fet,
-          firefox-l10n-ach,
-          firefox-l10n-af,
-          firefox-l10n-all,
-          firefox-l10n-an,
-          firefox-l10n-ar,
-          firefox-l10n-as,
-          firefox-l10n-ast,
-          firefox-l10n-az,
-          firefox-l10n-be,
-          firefox-l10n-bg,
-          firefox-l10n-bn-bd,
-          firefox-l10n-bn-in,
-          firefox-l10n-br,
-          firefox-l10n-bs,
-          firefox-l10n-ca,
-          firefox-l10n-cak,
-          firefox-l10n-cs,
-          firefox-l10n-cy,
-          firefox-l10n-da,
-          firefox-l10n-de,
-          firefox-l10n-dsb,
-          firefox-l10n-el,
-          firefox-l10n-en-ca,
-          firefox-l10n-en-gb,
-          firefox-l10n-en-za,
-          firefox-l10n-eo,
-          firefox-l10n-es-ar,
-          firefox-l10n-es-cl,
-          firefox-l10n-es-es,
-          firefox-l10n-es-mx,
-          firefox-l10n-et,
-          firefox-l10n-eu,
-          firefox-l10n-fa,
-          firefox-l10n-ff,
-          firefox-l10n-fi,
-          firefox-l10n-fr,
-          firefox-l10n-fy-nl,
-          firefox-l10n-ga-ie,
-          firefox-l10n-gd,
-          firefox-l10n-gl,
-          firefox-l10n-gn,
-          firefox-l10n-gu-in,
-          firefox-l10n-he,
-          firefox-l10n-hi-in,
-          firefox-l10n-hr,
-          firefox-l10n-hsb,
-          firefox-l10n-hu,
-          firefox-l10n-hy-am,
-          firefox-l10n-ia,
-          firefox-l10n-id,
-          firefox-l10n-is,
-          firefox-l10n-it,
-          firefox-l10n-ja,
-          firefox-l10n-ka,
+          fonts-arphic-uming,
+          fonts-mlym,
+          gettext,
+          gnuplot,
+          gosa-desktop,
+          gv,
+          im-config,
+          jxplorer,
+          katomic,
+          kbattleship,
+          kblackbox,
+          kbounce,
+          kernel-package,
+          kgoldrunner,
+          kig,
+          kjumpingcube,
+          klickety,
+          kmahjongg,
+          kmines,
+          kolf,
+          konquest,
+          kpat,
+          kppp,
+          krb5-auth-dialog,
+          kredentials,
+          kreversi,
+          kshisen,
+          kspaceduel,
+          kvpm,
+          lacheck,
+          libncurses5-dev,
+          lyx,
+          mdns-scan,
+          monopd,
+          ncftp,
+          netpbm,
+          postgresql,
+          postgresql-client,
+          pppoeconf,
+          rsibreak | workrave,
+          scim-chewing,
+          scim-tables-zh,
+          smbclient,
+          sql-ledger,
+          tablix2,
+          texlive,
+          texlive-latex-base,
+          texlive-latex-base-doc,
+          texlive-latex-recommended,
+          texlive-latex-recommended-doc,
+          texworks,
+          vlc,
+          vlc-plugin-bittorent,
+          wine
+Description: Debian Edu common desktop applications
+ This metapackage depends on various office and desktop applications
+ that are useful for teachers and their students.
+
+Package: education-desktop-xfce
+Section: metapackages
+Architecture: any
+Depends: ${misc:Depends},
+         education-tasks (= ${binary:Version})

## debian-edu 2.10.47+nmu1

=== debian/changelog ===
debian-edu (2.10.47+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:13:13 +0800
